<app-loading *ngIf="isLoading"></app-loading>
<div class="content">
  <div class="main-model-organization__right content-header">
    <mb-button mbButtonSize='LARGE' mbButtonAvailableStyle='PRIMARY'
      mbButtonText="{{'modelOrganization.button.issued' | translate}}" (click)="navigatePage(null)"></mb-button>
  </div>
</div>
<div class="container-fluid">
  <div class="form">
    <div nz-row class="form-row">
      <div nz-col nzSpan="6" class="form-row__left">
        <mb-input-text mbPlaceholderText="Nhập thông tin ban hành"
          mbLabelText="{{'modelOrganization.label.issuedInfo' | translate}}" [(ngModel)]="objSearch.dataName">
        </mb-input-text>
      </div>
      <div nz-col nzSpan="6" class="form-row__center">
        <mb-input-text  mbPlaceholderText="Nhập nội dung" mbLabelText="{{'modelOrganization.label.content' | translate}}"
          [(ngModel)]="objSearch.description">
        </mb-input-text>
      </div>
      <div nz-col nzSpan="6" class="form-row__right">
        <mb-date-picker [(ngModel)]="objSearch.issuedDate"
          mbLabelText="{{'modelOrganization.label.issuedDate' | translate}}" mbPlaceholderText="Chọn ngày chuyển">
        </mb-date-picker>
      </div>
      <div nz-col nzSpan="4" class="form-row__button">
        <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='CUSTOM'
          mbButtonText="{{'modelOrganization.listJob.search' | translate}}" (click)="onSearch()"></mb-button>
      </div>
    </div>
  </div>

  <div nz-row class="template">
    <div class="data-table">
      <nz-table #basicTable [nzData]="jobDataTable ? jobDataTable : []" [nzFrontPagination]="false"
        [nzSize]="TABLE_SIZE" [nzShowPagination]="false" [nzScroll]="{x: 'SCROLL_CONFIG'}">
        <thead>
          <tr>
            <th scope="col" [nzWidth]="WIDTH_COLUMN.CHECKED" [nzShowCheckbox]="true" [nzChecked]="checked"
              [nzIndeterminate]="indeterminate" (nzCheckedChange)="onAllChecked($event)" nzLeft></th>
            <th scope="col">{{'modelOrganization.table.issuedInfo'| translate}}</th>
            <th scope="col">{{'modelOrganization.table.content'| translate}}</th>
            <th scope="col" [nzWidth]="WIDTH_COLUMN.MEDIUM" nzRight>{{'modelOrganization.table.issuedDate'| translate}}
            </th>
            <th scope="col" [nzWidth]="WIDTH_COLUMN.CHECKED" nzRight></th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let item of basicTable.data; let i = index">
            <td [nzChecked]="itemChecked(item)" (nzCheckedChange)="onItemChecked(item, $event)" nzLeft>
            </td>
            <td class="issued-name" nz-tooltip [nzTooltipTitle]="item.dataName" (dblclick)="naviageToHistory(item)">{{
              item.dataName }}</td>
            <td class="issued-name" nz-tooltip [nzTooltipTitle]="item.description" (dblclick)="naviageToHistory(item)">{{
              item.description }}</td>
            <td (dblclick)="naviageToHistory(item)" nzRight>{{ item.issuedDate }}</td>
            <td nzRight>
              <div class="jd-table__action" nz-tooltip nzTooltipTitle="Chuyển tiếp">
                <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='CONTENT'
                  mbButtonText="{{'modelOrganization.listJob.search' | translate}}" (click)="navigatePage(item)"><img
                    alt="" src="assets/images/icon/icon-mess.png" /></mb-button>
              </div>
            </td>
          </tr>
        </tbody>
      </nz-table>
      <div class="pagination">
        <div *ngIf="jobDataTable.length === 0; else elseTplNoti">
          <img class="pagination__table-info--icon" alt="" src="assets/images/icon/idea.svg" />
          <span class="pagination__table-info--text"> Tìm thấy {{ jobDataTable.length }} kết quả </span>
        </div>
        <ng-template #elseTplNoti>
          <div class="pagination__table-info">
            <img alt="" class="pagination__table-info--icon" src="assets/images/icon/idea.svg" />
            <span class="pagination__table-info--text">Tìm thấy {{ pagination.totalElements }} kết quả, hiển thị từ
              {{ pagination.size * (pagination.currentPage - 1) + 1 }} đến
              {{ pagination.size * (pagination.currentPage - 1) + pagination.numberOfElements }}</span>
          </div>
          <nz-pagination [(nzPageIndex)]="pagination.currentPage" [nzTotal]="pagination.totalElements"
            [nzPageSize]="pagination.size" (nzPageIndexChange)="changePage()" class="pagination__icon">
          </nz-pagination>
        </ng-template>
      </div>
    </div>
  </div>
</div>
